Index: devel/sdl12/Makefile
===================================================================
RCS file: /import/FreeBSD-CVS/ports/devel/sdl12/Makefile,v
retrieving revision 1.127
diff -u -p -u -r1.127 Makefile
--- devel/sdl12/Makefile	23 Sep 2011 22:22:13 -0000	1.127
+++ devel/sdl12/Makefile	15 Jan 2012 21:50:01 -0000
@@ -131,6 +131,12 @@ DISPLAY_MSG=	${DO_NADA}
 CONFIGURE_ARGS+=--enable-video-vgl
 DISPLAY_MSG=	${CAT} ${PKGMESSAGE}
 .endif
+.if exists(/usr/include/libusbhid.h)
+CONFIGURE_ENV+=	USB_LIBS=-lusbhid
+CFLAGS+=	-DHAVE_LIBUSBHID_H
+.else
+#CONFIGURE_ENV+=	USB_LIBS=-lusb
+.endif
 
 .if defined(WITHOUT_XLIB)
 PKGNAMESUFFIX=	-nox11
